import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/countDetail',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/countDetail/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/countDetail',
    method: 'put',
    data
  })
}

export function checkCountPlan(ids) {
  return request({
    url: 'api/countDetail/checkCountPlan',
    method: 'put',
    data:ids
  })
}

export function getCountDetail(id) {
  return request({
    url: 'api/countDetail/queryPlanCountDetail?planId='+id ,
    method: 'get'
  })
}

export default { add, edit, del,checkCountPlan ,getCountDetail}
